summaryrefslogtreecommitdiffstats
path: root/framework/src/onos/utils/stc/bin/stc-launcher
diff options
context:
space:
mode:
Diffstat (limited to 'framework/src/onos/utils/stc/bin/stc-launcher')
-rwxr-xr-xframework/src/onos/utils/stc/bin/stc-launcher19
1 files changed, 19 insertions, 0 deletions
diff --git a/framework/src/onos/utils/stc/bin/stc-launcher b/framework/src/onos/utils/stc/bin/stc-launcher
new file mode 100755
index 00000000..0d56017e
--- /dev/null
+++ b/framework/src/onos/utils/stc/bin/stc-launcher
@@ -0,0 +1,19 @@
+#!/bin/bash
+#-------------------------------------------------------------------------------
+# System Test Coordinator process launcher
+#-------------------------------------------------------------------------------
+
+env=$1 && shift
+cwd=$1 && shift
+
+if [ $env != "-" ]; then
+ [ ! -f $env ] && echo "$env file not found" && exit 1
+ source $env
+fi
+
+if [ $cwd != "-" ]; then
+ [ ! -d $cwd ] && echo "$cwd directory not found" && exit 1
+ cd $cwd
+fi
+
+"$@" 2>&1